version: '3.8'

name: autodevops-poc

services:

  postgres:
    image: postgres:latest
    ports:
      - "5432:5432"
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: database_password
      POSTGRES_DB: autodevops_poc
    volumes:
      - ./data:/var/lib/postgresql/data

  app:
    build: .
    ports:
      - "8001:8001"
    depends_on:
      - postgres
    environment:
      DATABASE_URL: postgres://postgres:database_password@postgres/autodevops_poc
      DJANGO_SETTINGS_MODULE: pocsite.settings.image
    command: gunicorn pocsite.wsgi --bind '0.0.0.0:8001'

